###################################################
### chunk number 1: 
###################################################
library(ks)
set.seed(8192)
samp <- 200
mus <- rbind(c(-2,2), c(0,0), c(2,-2))
Sigmas <- rbind(diag(2), matrix(c(0.8, -0.72, -0.72, 0.8), nrow=2), diag(2))
cwt <- 3/11
props <- c((1-cwt)/2, cwt, (1-cwt)/2)
x <- rmvnorm.mixt(n=samp, mu=mus, Sigma=Sigmas, props=props)


###################################################
### chunk number 2: 
###################################################
plotmixt(mus, Sigmas, props, xlim=c(-4,4), ylim=c(-4,4))


###################################################
### chunk number 3: 
###################################################
plot(x, xlim=c(-4,4), ylim=c(-4,4), xlab="x", ylab="y")


###################################################
### chunk number 4: 
###################################################
Hpi1 <- Hpi(x=x)
Hpi2 <- Hpi.diag(x=x)


###################################################
### chunk number 5: 
###################################################
fhat.pi1 <- kde(x=x, H=Hpi1)
fhat.pi2 <- kde(x=x, H=Hpi2)


###################################################
### chunk number 6:  eval=FALSE
###################################################
## plot(fhat.pi1)
## plot(fhat.pi2)


###################################################
### chunk number 7: 
###################################################
plot(fhat.pi1, main="Plug-in", cex.main=1.4)


###################################################
### chunk number 8: 
###################################################
plot(fhat.pi2, main="Plug-in diagonal", cex.main=1.4) 


###################################################
### chunk number 9: 
###################################################
Hscv1 <- Hscv(x=x)
Hscv2 <- Hscv.diag(x=x)


###################################################
### chunk number 10: 
###################################################
fhat.cv1 <- kde(x=x, H=Hscv1)
fhat.cv2 <- kde(x=x, H=Hscv2)


###################################################
### chunk number 11: 
###################################################
plot(fhat.cv1, main="SCV", cex.main=1.4)


###################################################
### chunk number 12: 
###################################################
plot(fhat.cv2, main="SCV diagonal", cex.main=1.4)


